---
search:
  tags:
    - Event settings
    - GET
seo:
  description: >-
    List every version of the event settings. Reference for the GET
    /api/admin/config/versions endpoint in the Athena Jeopardy Admin API.
sidebar:
  label: List every version of the event settings
  badge: GET
title: List every version of the event settings
type: openapi-operation
---
`GET /api/admin/config/versions`

**Responses**

- `200` — Success
- `401` — Unauthorized
- `500` — Unhandled server error

Response example, 200:

```json
[
  {
    "version": 0,
    "isCurrent": true,
    "changedKeys": [
      "string"
    ],
    "createdAt": "2019-08-24T14:15:22Z",
    "createdBy": "string",
    "activatedAt": "2019-08-24T14:15:22Z",
    "settings": {
      "ctfTheme": "string",
      "ctfName": "string",
      "ctfDescription": "string",
      "startDate": "string",
      "freezeDate": "string",
      "endDate": "string",
      "registrationOpen": true,
      "upcomingChallengesBannerEnabled": true,
      "solveNotificationEmailsEnabled": true,
      "reportNotificationEmails": [
        "string"
      ],
      "exportIncludeEmails": true,
      "rules": "string",
      "faq": [
        {
          "question": "string",
          "answer": "string"
        }
      ],
      "heroTitle": "string",
      "ctfLogoUrl": "string",
      "cooldownWrongAttemptsThreshold": 0,
      "cooldownSeconds": 0,
      "maxTeamSize": 0,
      "marketing": {
        "categories": [
          "string"
        ],
        "hostedBy": "string",
        "prizePool": "string",
        "discordUrl": "string",
        "writeupsUrl": "string",
        "contactUrl": "string"
      }
    }
  }
]
```
